Summary: AuthConfig configuration component
Name: edg-lcfg-authconfig
Version: 0.4.0_dev
Vendor: EDG / NIKHEF
Release: edg2
Copyright: http://www.eu-datagrid.org/license.html
Group: LCFG/Components
Source: edg-lcfg-authconfig-0.4.0_dev.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: David Groep <davidg@nikhef.nl>
Requires: lcfg-ngeneric,edg-lcfg-nvaapi

%description
Component for configuring authentication sources (NSS and PAM) using the
authconfig command.
(configured with old-style filenames for compatibility)

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%postun
[ $1 = 0 ] && rm -f /etc/logrotate.d/edg-lcfg-authconfig
exit 0

%files
%defattr(-,root,root)
%doc ChangeLog README README.BUILD CHANGES LICENSE README.ldap
%doc /usr/man/man8/*
%doc /usr/lib/lcfg/doc/pod/authconfig.pod
/etc/obj/authconfig
/usr/lib/lcfg/conf/*
/var/obj/conf/authconfig/
/usr/lib/lcfg/defaults/client/authconfig-1.def


%package defaults-s1
Summary: Default resources for edg-lcfg-authconfig
Group: LCFG/Defaults
Prefix: /usr/lib/lcfg/defaults/server
BuildArch: noarch
%description defaults-s1
Default resources for the component
(configured with old-style filenames for compatibility)
%files defaults-s1
%defattr(-,root,root)
/usr/lib/lcfg/defaults/server/authconfig-1.def

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 04 2003 <<<< Release: 0.4.0 >>>>

* Tue Nov 04 2003 <<<< Release: 0.5.0 >>>>

* Tue Nov 04 2003 <davidg@nikhef.nl>
- Added AFS authentication method by Jose Hernandez <jose.hernandez@ciemat.es>
- Defines new authmethods type "afs" and a new resource "afscell"

* Tue Oct 21 2003 <<<< Release: 0.3.0 >>>>

* Tue Oct 21 2003 <<<< Release: 0.2.1 >>>>

* Tue Oct 21 2003 <<<< Release: 0.3.1 >>>>

* Tue Oct 21 2003 <<<< Release: 0.3.0 >>>>

* Tue Oct 21 2003 <<<< Release: 0.2 >>>>

* Tue Oct 21 2003 <<<< Release: 0.2 >>>>

* Tue Oct 21 2003 <<<< Release: 0.2 >>>>

* Wed Apr 09 2003 <<<< Release: 0.2 >>>>

* Tue Apr 01 2003 David Groep <davidg@nikhef.nl>
- patches enablesmbauth and enableldaptls to conform to actual
- program instead of to the man page :-)
- better documentation on LDAP directories in README.ldap


